Bug 186087 - Unable to use graphical installer with unknown monitor
Unable to use graphical installer with unknown monitor
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
https://bugs.freedesktop.org/show_bug...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-21 10:46 EST by Daniel Qarras
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-17 16:59:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Qarras 2006-03-21 10:46:25 EST
Description of problem:
Fedora Core 5 installer does not detect my monitor (Nokia Multigraph 446Xpro)
but probes an "unknown monitor." When installer GUI is started I see maybe only
a quarter of what I should see, i.e., GUI is probably 1024x768 and I see only
640x400. Using resolution=640x400 or resolution=1024x768 as a boot parameter
does not help. Text based installation works ok.

Version-Release number of selected component (if applicable):
Fedora Core 5 / anaconda-11.0.5-1

How reproducible:
Try to install FC5 using Nokia 446Xpro monitor.

Steps to Reproduce:
1. Start installation in graphical mode
2. Wait for GUI
3. Notice how you see only a quarter of the screen
  
Actual results:
Only quarter of the installer screen is seen

Expected results:
Installer screen would be shown completely.

Additional info:
Not sure is this anaconda and/or Xorg bug, please move if needed. I can provide
more details about the system if needed, please instruct what and how.
Comment 1 Jeremy Katz 2006-03-21 11:50:39 EST
What video card do you use?  Does it work post-install?
Comment 2 Daniel Qarras 2006-03-22 03:46:24 EST
The video card is reported to be:

Intel Corporation 82845G/GL[Brookdale-G]/GE Chipset Integrated Graphics Device

And xorg.conf is using driver "i810" for it. The machine is Dell OptiPlex GX260.

It "works" post-install with perhaps 800x600 or 640x400 resolution, 16 bit color
mode. I cannot get higher resolution even if I configure manually correct
monitor with system-config-display.

This chip has been problematic also with earlier Fedora versions. I can use
1280x1024@24 all ok if I use the well-known 845patch at:

http://www.chzsoft.com.ar/855patch.html

I'd like to see a fix so that I would not need any external hacks. Thanks.
Comment 3 Daniel Qarras 2006-03-22 06:37:42 EST
FYI: I just installed FC5 to a Dell Latitude laptop, again the monitor was
identified as "unknown monitor" by the installer but the resolution was ok and
the screen was displayed correctly.
Comment 4 Daniel Qarras 2006-03-23 03:17:06 EST
Yet more additional info: on another Dell machine with an ATI video card the
same Nokia monitor was identified correctly, so this is definitely a i810 problem.
Comment 5 Mike A. Harris 2006-03-23 22:09:46 EST
Please report this issue to X.Org developers by filing a bug report in
the X.Org bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "NEEDINFO_REPORTER", awaiting X.Org bug URL
for tracking.
Comment 6 Daniel Qarras 2006-03-24 04:26:07 EST
I've created a report at X.Org Bugzilla, please see:

https://bugs.freedesktop.org/show_bug.cgi?id=6374
Comment 7 Daniel Qarras 2006-03-28 03:42:43 EST
FYI: the report at X.Org Bugzilla has been closed after a patch fixed the issue.
Comment 8 Daniel Qarras 2006-05-29 04:55:15 EDT
So what's the status with this? All information needed should be available to
roll out a package containing needed fixes. Thanks.
Comment 9 Adam Jackson 2006-07-24 16:29:52 EDT
The affected code doesn't even appear to exist in the current i810 driver in
rawhide.  Can you reproduce this anymore?
Comment 10 Mike A. Harris 2006-07-24 22:06:36 EDT
(In reply to comment #8)
> So what's the status with this? All information needed should be available to
> roll out a package containing needed fixes. Thanks.

Alan's comment in the upstream bug seems to suggest the fix is checked into
CVS already, so it should be in rawhide now too.
Comment 11 Daniel Qarras 2006-08-01 07:09:18 EDT
I was unable to rebuild the rawhide source rpm on my FC5 system so I am unable
to verify this but as I am losing the system soon anyway I think this bug can be
closed (unless somebody tells me how to build the src.rpm on FC5 pretty soon).

Thanks.
Comment 12 Daniel Qarras 2006-09-20 16:18:24 EDT
I've lost the hardware now. Please close this bug.
Comment 13 Matěj Cepl 2006-10-17 16:59:01 EDT
This bug was reported upstream (see comment 6) and reporter is not able to
cooperate on resolution of this bug.

Note You need to log in before you can comment on or make changes to this bug.